Bug 1650999

Summary: systemctl stop pmie does not stop the service
Product: [Fedora] Fedora Reporter: Zbigniew Jędrzejewski-Szmek <zbyszek>
Component: pcpAssignee: Nathan Scott <nathans>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 29CC: fche, lberk, mgoodwin, nathans, scox
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: pcp-4.3.0-1.fc29 pcp-4.3.0-2.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-12-24 06:07:30 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Zbigniew Jędrzejewski-Szmek 2018-11-18 16:23:07 UTC
Description of problem:
As in $subject, after doing 'systemctl stop pmie', the binary is still running.

$ systemctl status pmie
● pmie.service - Performance Metrics Inference Engine
   Loaded: loaded (/usr/lib/systemd/system/pmie.service; disabled; vendor preset: enabled)
   Active: inactive (dead)
     Docs: man:pmie(1)
$ $ systemctl status 19642
● session-13.scope - Session 13 of user pcp
   Loaded: loaded (/run/systemd/transient/session-13.scope; transient)
Transient: yes
   Active: active (abandoned) since Fri 2018-06-22 12:58:01 EDT; 4 months 27 days ago
    Tasks: 1
   Memory: 14.8M
   CGroup: /user.slice/user-987.slice/session-13.scope
           └─19642 /usr/bin/pmie -b -h local: -l /var/log/pcp/pmie/rpi3/pmie.log -c config.default

Jun 22 12:58:01 rpi3 systemd[1]: Started Session 13 of user pcp.
Jun 22 12:58:02 rpi3 CROND[19499]: (pcp) CMD ( /usr/libexec/pcp/bin/pmie_check -C)

I looked at the horror that is /usr/share/pcp/lib/pmie. *Please* just get rid of that, and start pmie as a normal service.

Version-Release number of selected component (if applicable):
pcp-4.1.3-1.fc29.x86_64

How reproducible:
Dunno.

Actual results:
System binary is running as part of the session of the user.

Expected results:
System binaries run as systemd service units.

Additional info:
https://docs.fedoraproject.org/en-US/packaging-guidelines/#_initscripts

Comment 1 Nathan Scott 2018-11-19 06:59:55 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #0)
> Description of problem:
> As in $subject, after doing 'systemctl stop pmie', the binary is still
> running.

Thanks for the problem report, I have a fix in hand and I'm working on regression tests now - will be in the next PCP release.

cheers.

Comment 2 Fedora Update System 2018-12-21 04:11:20 UTC
pcp-4.3.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3dc05c6d19

Comment 3 Fedora Update System 2018-12-21 04:12:18 UTC
pcp-4.3.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3d0256193e

Comment 4 Fedora Update System 2018-12-22 01:33:25 UTC
pcp-4.3.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3d0256193e

Comment 5 Fedora Update System 2018-12-22 02:58:13 UTC
pcp-4.3.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3dc05c6d19

Comment 6 Fedora Update System 2018-12-24 06:07:30 UTC
pcp-4.3.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-12-26 10:40:21 UTC
pcp-4.3.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0913e3af78

Comment 8 Fedora Update System 2018-12-27 02:57:57 UTC
pcp-4.3.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0913e3af78

Comment 9 Fedora Update System 2019-01-02 02:36:57 UTC
pcp-4.3.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.